package setting

import (
	"context"

	"git.apinb.com/bsm-sdk/core/service"
	pb "bsm/full/module/social/feed/pb"
)

// 修改个人信息
func Info(ctx context.Context, in *pb.Empty) (reply *pb.Empty, err error) {
	// parse authorization meta.
	_, err = service.ParseMetaCtx(ctx, nil)
	if err != nil {
		return nil, err
	}

	// TODO: valid code

	// TODO: add your logic code & delete this line.

	return
}
